Skip to main content
Back to API List Used to insert data into a Data Table.
PropertyValue
MethodPOST
Endpointhttps://{{host}}/api/public/tables/{{tableName}}
Content Typeapplication/json
Authorizationauth: {{JWT}} — See How to generate the JWT Token.
App AccessWrite access to the Data Table from the Data Definition in DaaS. For more information, see app assignment for accessing the data in a table and Data as a Service.

Path Parameters

ParameterDescription
hostEnvironment URL, for example, https://platform.kore.ai
tableNameName of the table to insert data into

Sample Request

curl -X POST \
  https://{{host}}/api/public/tables/{{tableName}} \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  -H 'content-type: application/json' \
  -d '{
      "data": {
        "First_Name": "test",
        "Last_Name": "name",
        "Gender": "female",
        "Number": 263
       }
     }'

Body Parameters

ParameterDescription
dataObject with column_name/value pairs: "data": { "<col1_name>": "<value1>", "<col2_name>": "<value2>" }

Sample Response

{
    "First_Name": "test",
    "Last_Name": "name",
    "Gender": "female",
    "Number": 263,
    "Updated_On": "2020-03-28T07:02:09.652Z",
    "Created_On": "2020-03-28T07:02:09.652Z",
    "Updated_By": "st-98e05480-0257-5e35-b6d2-66a323834f9d",
    "Created_By": "st-98e05480-0257-5e35-b6d2-66a323834f9d",
    "sys_Id": "sys-545dae21-8675-5a95-9c1b-a223bc6f4bc8",
    "_id": "23n473m816309s629374218f"
}